#ifndef _CHORD_PLAY_
#define _CHORD_PLAY_ #1#

/*
chord_play is a simple chord player. It takes an ftable of predefined chords
and outputs the MIDI notes or pitches corresponding to a root note.
The names of the chords can be printed.
*/

#define CHORD_PLAY_VER_MAJOR #1#
#define CHORD_PLAY_VER_MINOR #0#

; The ftable holding all chords
giChord_chords = ftgen(0, 0, -129, -23, "chords.ftable")

; The array holding the chord names
gSChord_chords[] = fillarray("Power chord",
	"Sus2",
	"Major",
	"Sus4",
	"Minor",
	"Dimished",
	"Augmented",
	"Dominant7 (without 5)",
	"Major7 (without 5)",
	"Major7 (without 3)",
	"Minor7 (without 5)",
	"Minor7 (without 3)",
	"Quartal3",
	"Hendrix3 (7 #9 as 3 7 #9)",
	"Major7",
	"Dominant7",
	"Minor7",
	"Minormajor7",
	"Major6",
	"Full diminished",
	"Major9",
	"Minor9",
	"Major11",
	"Minor11",
	"Dominant7 #11",
	"Major7 9 (without 3)",
	"Major7 9 (without 5)",
	"Minor7 9 (without 5)",
	"Minor7 B5",
	"Minor7 #5",
	"Major7 B5",
	"Major7 #5",
	"Dominant7 B5",
	"Dominant7 #5",
	"Major B9",
	"Minor B9",
	"Major #9",
	"Quartal4",
	"Major7 B9 (without 3)",
	"Major7 B9 (without 5)",
	"Hendrix (7 #9)",
	"Minor7 B9 (without 3)",
	"Minor7 B9 (without 5)")

; Include the opcodes
#include "m_chord_get_version.udo"
#include "m_chord_get_name.udo"
#include "m_chord_play_midi.udo"
#include "m_chord_play_cps.udo"

#end
