/*
m_chord_get_name - Get the name corresponding to chord number

DESCRIPTION
Return the name corresponding to the chord number or "Invalid chord", when the
number is out of range.

SYNTAX
Sname m_chord_get_name kChordIndex

INITIALIZATION

PERFORMANCE
Sname - Name of the chord
kChordIndex - Number/index of the chord

CREDITS
Author: Jeanette C.
*/

opcode m_chord_get_name, S, k
	kChordIndex xin

	iNumberOfChords = ftlen(giChord_chords) / 3
	if (kChordIndex < iNumberOfChords) then
		Sname = gSChord_chords[kChordIndex]
	else
		Sname = "Invalid chord"
	endif

	; REturn the name
	xout(Sname)
endop
